﻿& ((Split-Path $MyInvocation.MyCommand.Path) + "\removeShortcuts.ps1")

$shortVersion = $env:chocolateyPackageVersion.split(".")[0..2] -join "."  # If I am using Package Fix Version Notation.

$url = "https://download.jetbrains.com/python/pycharm-community-$shortVersion.exe"

$packageArgs = @{
  packageName   = 'PyCharm-community'
  fileType      = 'EXE'
  url           = $url
  softwareName  = "JetBrains PyCharm Community Edition*"
  checksum      = 'B4AF790AC1EDD9E5759FA37F6B6E8CF8D95BC64AB8F88BAE5054A421BB4B195B'
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}


Install-ChocolateyPackage @packageArgs
